build: accept both python 3 and python 2